curl --request GET \
--url https://your-tenant.bloodhoundenterprise.io/api/v2/alert-webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-tenant.bloodhoundenterprise.io/api/v2/alert-webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-tenant.bloodhoundenterprise.io/api/v2/alert-webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"skip": 1,
"limit": 1,
"data": {
"webhooks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "generic",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"health": 0.5,
"attempts": 123,
"failures": 123,
"last_error": "<string>",
"last_errored_at": "2023-11-07T05:31:56Z",
"last_succeeded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"disabled_at": "2023-11-07T05:31:56Z",
"disabled_by": "<string>"
}
]
}
}{
"http_status": 400,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The JSON payload could not be unmarshalled."
}
]
}{
"http_status": 401,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "login",
"message": "Unauthorized"
}
]
}{
"http_status": 403,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "You do not have permission to access this resource"
}
]
}{
"http_status": 429,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "middleware",
"message": "Too many requests. Please try again later."
}
]
}{
"http_status": 500,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The request could not be handled due to an unexpected database error."
}
]
}List Alert Webhooks
Returns a paginated list of alert webhooks.
Authorizations
Authorization: Bearer $JWT_TOKEN
Headers
Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.
^wait=(-1|[0-9]+)$Query Parameters
This query parameter is used for determining the number of objects to skip in pagination. The number of items to skip in a paginated response.
x >= 0This query parameter is used for setting an upper limit of objects returned in paginated responses. The limit of results requested by the client.
x >= 0Sortable columns are name, created_at, updated_at, health. Default name ascending.
Sort by column. Can be used multiple times; prepend a hyphen for descending order.
See parameter description for details about which columns are sortable.
Filter results by column string value. Valid filter predicates are eq, ~eq, neq.
^((eq|~eq|neq):)?[^:]+$Filter results by column string value. Valid filter predicates are eq, ~eq, neq.
^((eq|~eq|neq):)?[^:]+$Filter results by column string value. Valid filter predicates are eq, ~eq, neq.
^((eq|~eq|neq):)?[^:]+$Filter results by column boolean value. Valid filter predicates are eq, neq.
^((eq|neq):)?(t|T|TRUE|true|True|f|F|FALSE|false|False)$Filter by the webhook's rolling health score in [0, 1].
Filter results by column numeric float (decimal) value. Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?-?[0-9]+(\.[0-9]+)?$Filter by the total attempts observed for the webhook.
Filter results by column integer value. Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?-?[0-9]+$Filter by the total failed attempts observed for the webhook.
Filter results by column integer value. Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?-?[0-9]+$Filter results by created_at value. See filter schema details for valid predicates.
Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$Filter results by updated_at value. See filter schema details for valid predicates.
Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$Filter results by last_errored_at value. See filter schema details for valid predicates.
Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$Filter results by last_succeeded_at value. See filter schema details for valid predicates.
Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$